# $bom

Emits the UTF-8 byte-order mark for use in templates when required.

This property belongs to the System Properties group.

Name:

  $bom

Category:

  System Properties

Type:

  string

## Description

The UTF-8 encoded Unicode byte-order mask (BOM). This may be useful in templates for RFC5424 support, when the character set is known to be Unicode.

## Usage

    template(name="example" type="list") {
        property(name="$bom")
    }

## See also

See rsyslog Properties for the category overview.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.